/*
 * Copyright (c) 2019 Nordic Semiconductor
 *
 * SPDX-License-Identifier: Apache-2.0
 */
#ifndef __LSM6DSV16X_ZEPHYR_H__
#define __LSM6DSV16X_ZEPHYR_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <zephyr/device.h>
#include <zephyr/drivers/spi.h>
#include <zephyr/devicetree.h>

// Define the structure for the device configuration
struct custom_lsm6dsv16x_config {
    struct spi_dt_spec spi;
};

// Function prototype for "Who Am I"
int custom_lsm6dsv16x_who_am_i(const struct device *dev, uint8_t *id);
#ifdef __cplusplus
}
#endif

#endif 